{ config, lib, pkgs, ... }:

{
  power = {
    sleep.computer = "never";
    sleep.display = 5;
  };

  security.pam.enableSudoTouchIdAuth = true;

  networking.dns = [
    "1.1.1.1"
  ];

  # keyboard
  system.defaults.NSGlobalDomain = {
    KeyRepeat = 1;
    NSAutomaticCapitalizationEnabled = false;
    NSAutomaticDashSubstitutionEnabled = false;
    NSAutomaticInlinePredictionEnabled = true;
    NSAutomaticPeriodSubstitutionEnabled = false;
    NSAutomaticQuoteSubstitutionEnabled = false;
    NSAutomaticSpellingCorrectionEnabled = false;
  };

  system.keyboard.remapCapsLockToControl = true;
  system.keyboard.swapLeftCtrlAndFn = true;
  system.defaults.NSGlobalDomain.ApplePressAndHoldEnabled = false;
  
  system.defaults.hitoolbox.AppleFnUsageType = "Do Nothing";

  # mouse
  system.defaults.".GlobalPreferences"."com.apple.mouse.scaling" = -1.0; # mouse acceleration

}
